import storageUtil from './storageUtil'
export default {
  defaultManagerId:'5d036441464ced1f1840204a',
  defaultPassword:'123456',
  numberRegex : /^[0-9]*$/,
  checkDeptName(obj, key) {
    return obj[key] ? obj[key].name : '';
  },

  foundFid(fitem,itemList,addressList){
    itemList.push(fitem[0].name);
    addressList.forEach(item=>{
      if(item._id==fitem[0].fid)
      {
        itemList.push(item.name);
        if(item.fid!=='0')
        {
          this.foundFid(item,itemList);
        }
      }
    });
    return itemList.reverse();
  },
  foundList(data){
    let  addressList=storageUtil.read("addressList")
    let items=addressList.filter(item=>{
      return  item.address==data;
    });
    if(items.length>0) {
      let itemList = [];
      return this.foundFid(items, itemList, addressList);
    }
    else
    {
      // window.history.back(-1);
    }
  },
  ownMenuList(result){
    let dbMenuArr = result.data.dbMenuArr;
    let roleMenu = result.data.roleMenu;
    let roleMenuIdArr = roleMenu.map((item) => {
      return item.id;
    });
    let ownMenuList = [];
    dbMenuArr.forEach((item) => {
      if (roleMenuIdArr.indexOf(item._id) != -1) {
        ownMenuList.push(item);
      }
    });
    return ownMenuList;
  },
  putTree(arr,child='_id',father='fid',mostKey='0',childKey='children'){
    let map = {};
    let resultArr = [];
    arr.forEach((item) => {
        item[childKey] = [];
        map[item[child]] = item;
    });
    arr.forEach((item) => {
      if (item[father]){
        if (item[father] == mostKey) {
          resultArr.push(item);
        } else {
          let parent = map[item[father]];
          parent[childKey].push(item);
        }
      }
    });
    return resultArr;
  },

  addRules(arr,propKey,rule){
    arr.find(item => {
      return item.prop == propKey;
    }).rules = rule;
  }
}
